DragonFly BSD
DragonFly users List (threaded) for 2010-02
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: hammer upgrade clarification

From: Matthew Dillon <dillon@xxxxxxxxxxxxxxxxxxxx>
Date: Tue, 2 Feb 2010 11:40:20 -0800 (PST)

:What I understand is that
:1) I am running hammer 'version 1'.
:2) I need to upgrade to hammer 'version2' for getting the latest stable.

    You don't have to upgrade but it's a good idea.  The target for
    any mirror must be running a HAMMER version greater or equal to
    the mirror source.

:1) can I run 'hammer version-upgrade /Backup1 4' directly or should I
:upgrade in sequence 1 > 2 > 3 > 4 ?

    You can jump directly to 4.  HAMMER will do the right thing.

:2) Should I kill the mirror-stream processes before upgrading the
:hameer file system on both /Backup1 and /Backup2.
:Thank you so much :-)

    (I answered this in the previous posting but will include it here
    for completeness)

    I recommend killing them first, upgrading, then restarting the

    The HAMMER FS version is for the whole filesystem, including all
    of its PFSs.  PFSs do not need to be individually upgraded.

					Matthew Dillon 

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]